<script setup>
import { storeToRefs } from 'pinia'
import { useServicesStore } from '@/store/servicesStore.js';
import ServiceIconEnum from '@/enums/ServiceIconEnum.ts'
import { Skeletor } from 'vue-skeletor';

const { services, loading } = storeToRefs(useServicesStore())
const ServiceIcon = ref(ServiceIconEnum)
</script>

<template>
    <v-list>
        <div v-if="loading" class="d-flex align-center mb-3" v-for="(item, index) in 8" :key="index">
            <Skeletor class="me-2" width="15" height="15" pill />
            <Skeletor width="170" height="10" />
        </div>
        <v-list-item v-else v-for="(item, index) in services" :key="item.slug" :value="index">
            <NuxtLink :to="`/services/${item.slug}`">
                <v-list-item-title>
                    <BootstrapIcon class="me-2 text-blue-grey-darken-1" :name="ServiceIcon[item.slug]" />
                    <span class="text-blue-grey-darken-4">{{ item.title }}</span>
                </v-list-item-title>
            </NuxtLink>
        </v-list-item>
    </v-list>
</template>



<style lang="scss">
.v-list {
    background-color: inherit;
    .v-list-item {
        padding-top: 0;
        min-height: 31px;
        margin-bottom: 4px;
        padding-bottom: 0;
    }

    .v-list-item-title {
        white-space: normal;
        font-size: 16px;
        line-height: 25px;
        text-align: right;
    }
}
</style>